CC=gcc
LN=gcc

CC_OPTS= -c -O2
LN_OPTS= -o fixmahal -lm
LIB=
OBJ=fixmahal.o vfm.o meancov.o standard.o loklesen.o matrix.o lokstan.o
HEAD=fixdefs.h lokglo.h 

fixmahal: $(OBJ) fixmahgc.mak
	$(LN) $(OBJ) $(LIB) $(LN_OPTS)

fixmahal.o: fixmahal.c vfm.h meancov.h standard.h loklesen.h matrix.h lokstan.h $(HEAD) fixmahgc.mak
	$(CC) $(CC_OPTS) fixmahal.c

vfm.o: vfm.c vfm.h $(HEAD) fixmahgc.mak
	$(CC) $(CC_OPTS) vfm.c

meancov.o: matrix.h matrix.o meancov.c meancov.h $(HEAD) fixmahgc.mak
	$(CC) $(CC_OPTS) meancov.c

lokstan.o: lokstan.c lokstan.h standard.o standard.h $(HEAD) fixmahgc.mak
	$(CC) $(CC_OPTS) lokstan.c

standard.o: standard.c standard.h $(HEAD) fixmahgc.mak
	$(CC) $(CC_OPTS) standard.c

loklesen.o: loklesen.c loklesen.h $(HEAD) fixmahgc.mak
	$(CC) $(CC_OPTS) loklesen.c    

matrix.o: matrix.c matrix.h $(HEAD) fixmahgc.mak
	$(CC) $(CC_OPTS) matrix.c
